#!/usr/bin/perl -w

package NCS::Util;
use strict;

use Win32::Service;

sub new {
	my $self = shift;
	my $sys = shift;

	my $util = {
		sys => $sys
	};

	bless($util, $self);
	return $util;
}

sub trim {
	my $s = shift;

	$s =~ s/^\s+//;
	$s =~ s/\s+$//;

	return $s;
}

##################################

sub read_file {
	my $self = shift;
	my $file = shift;

	open(FILE, "<$file") or return undef;

	my @lines = ();
	my $line;

	while ($line = <FILE>) {
		# Remove CRLF and push onto array
		chomp($line);
		push(@lines, $line);
	}

	close(FILE);
	return @lines;
}

sub write_file {
	my $self = shift;
	my $file = shift;
	my @lines = @_;

	open(FILE, ">$file") or return undef;
	print FILE map { "$_\n" } @lines;
	close(FILE);
	return 1;
}

sub append_file {
	my $self = shift;
	my $file = shift;
	my @lines = @_;

	open(FILE, ">>$file") or return undef;
	print FILE map { "$_\n" } @lines;
	close(FILE);
	return 1;
}

sub clear_file {
	my $self = shift;
	my $file = shift;

	open(FILE, ">$file") or return undef;
	close(FILE);
}

sub nowstr {
	my $self = shift;

	my @now = localtime();
	my $nowbuf = sprintf("%02d/%02d/%04d %02d:%02d:%02d",
		$now[3], $now[4] + 1, $now[5] + 1900, $now[2], $now[1], $now[0]);

	return $nowbuf;
}

1;