-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.0.45-community-nt-log


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema ncs
--

CREATE DATABASE IF NOT EXISTS ncs;
USE ncs;

--
-- Definition of table `alerts`
--

DROP TABLE IF EXISTS `alerts`;
CREATE TABLE `alerts` (
  `alert_id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(32) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  PRIMARY KEY  (`alert_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `alerts`
--

/*!40000 ALTER TABLE `alerts` DISABLE KEYS */;
/*!40000 ALTER TABLE `alerts` ENABLE KEYS */;


--
-- Definition of table `devices`
--

DROP TABLE IF EXISTS `devices`;
CREATE TABLE `devices` (
  `device_id` int(11) unsigned NOT NULL auto_increment,
  `group_id` int(11) unsigned NOT NULL,
  `revision_id` int(11) unsigned default NULL,
  `alert_id` int(10) unsigned default NULL,
  `hostname` varchar(45) NOT NULL,
  `type_code` tinyint(3) unsigned NOT NULL default '1',
  `ipaddress` varchar(15) NOT NULL,
  `descr` varchar(255) NOT NULL,
  `sys_descr` text,
  `state_code` tinyint(4) NOT NULL default '1',
  `state_msg` varchar(255) default NULL,
  `snmp_community` varchar(20) default NULL,
  `snmp_v3` tinyint(1) NOT NULL default '0',
  `snmp_username` varchar(45) default NULL,
  `snmp_authproto` tinyint(1) default NULL,
  `snmp_authpass` varchar(255) default NULL,
  `snmp_privproto` tinyint(1) default NULL,
  `snmp_privpass` varchar(255) default NULL,
  `updated` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`device_id`),
  KEY `group_id` (`group_id`),
  CONSTRAINT `group_id` FOREIGN KEY (`group_id`) REFERENCES `groups` (`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `devices`
--

/*!40000 ALTER TABLE `devices` DISABLE KEYS */;
/*!40000 ALTER TABLE `devices` ENABLE KEYS */;


--
-- Definition of table `groups`
--

DROP TABLE IF EXISTS `groups`;
CREATE TABLE `groups` (
  `group_id` int(11) unsigned NOT NULL auto_increment,
  `name` varchar(25) NOT NULL,
  `parent_id` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `groups`
--

/*!40000 ALTER TABLE `groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `groups` ENABLE KEYS */;


--
-- Definition of table `options`
--

DROP TABLE IF EXISTS `options`;
CREATE TABLE `options` (
  `version` int(11) NOT NULL,
  `url` varchar(255) NOT NULL,
  `max_threads` tinyint(4) NOT NULL default '10',
  `tftp_svc_name` varchar(32) default 'tftpserver',
  `tftp_path` varchar(255) NOT NULL default 'C:/NCS/tftpserver',
  `tftp_ipaddress` varchar(15) NOT NULL default '127.0.0.1',
  `log_path` varchar(255) default NULL,
  `log_enable` tinyint(1) NOT NULL default '0',
  `log_debug` tinyint(1) NOT NULL default '0',
  `log_max_history` smallint(6) NOT NULL default '0',
  `filter_enable` tinyint(4) NOT NULL default '0',
  `alert_smtp_server` varchar(255) default NULL,
  `alert_source` varchar(255) default NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `options`
--

/*!40000 ALTER TABLE `options` DISABLE KEYS */;
INSERT INTO `options` (`version`,`url`,`max_threads`,`tftp_svc_name`,`tftp_path`,`tftp_ipaddress`,`log_path`,`log_enable`,`log_debug`,`log_max_history`,`filter_enable`,`alert_smtp_server`,`alert_source`) VALUES 
 (4,'http://ncs.net.local',20,'tftpserver','C:\\NCS-3.0\\tftpserver','192.168.0.1','C:\\NCS-3.0\\logs',1,0,7,1,'smtp.net.local','alert@ncs.net.local');
/*!40000 ALTER TABLE `options` ENABLE KEYS */;


--
-- Definition of table `revisions`
--

DROP TABLE IF EXISTS `revisions`;
CREATE TABLE `revisions` (
  `revision_id` int(10) unsigned NOT NULL auto_increment,
  `device_id` int(10) unsigned NOT NULL,
  `revision` bigint(20) unsigned NOT NULL,
  `created` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `data` longtext NOT NULL,
  PRIMARY KEY  (`revision_id`),
  KEY `device_id` (`device_id`),
  CONSTRAINT `device_id` FOREIGN KEY (`device_id`) REFERENCES `devices` (`device_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `revisions`
--

/*!40000 ALTER TABLE `revisions` DISABLE KEYS */;
/*!40000 ALTER TABLE `revisions` ENABLE KEYS */;


--
-- Definition of table `targets`
--

DROP TABLE IF EXISTS `targets`;
CREATE TABLE `targets` (
  `target_id` int(11) unsigned NOT NULL auto_increment,
  `alert_id` int(11) unsigned NOT NULL,
  `email_address` varchar(255) NOT NULL,
  `flags` smallint(5) unsigned default NULL,
  PRIMARY KEY  (`target_id`),
  KEY `alert_id` (`alert_id`),
  CONSTRAINT `alert_id` FOREIGN KEY (`alert_id`) REFERENCES `alerts` (`alert_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `targets`
--

/*!40000 ALTER TABLE `targets` DISABLE KEYS */;
/*!40000 ALTER TABLE `targets` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
