<?php

require_once('./CS_Includes.inc.php');

try {
	$logTree = new CSTreeView('logTree');
	$logNodes = CSLog::GetLogFolders();

	// Populate the TreeView with nodes...
	foreach($logNodes as $folderDate => $folderNodes)
		CSLog::LoadLogNodes($logTree, $folderDate, $folderNodes);
}
catch (Exception $e) {
	CS::Abort($e);
}

CS::PrintHtmlHeader(FALSE, CSTreeView::GetHeaderArray(), FALSE, FALSE);

?>

<body onload="<?php echo $logTree->getInitName(); ?>();">

<div id="Menu">

	<div class="Controls">
		<img name="MenuRefresh" src="../assets/img/refresh_off.gif" alt="Refresh" height="18" width="18"
			onClick="refreshMenu();"
			onMouseOver="showHand(this); newIcon('MenuRefresh', '../assets/img/refresh_on.gif');"
			onMouseOut="hideHand(this); newIcon('MenuRefresh', '../assets/img/refresh_off.gif');" />

		<img name="MenuExpand" src="../assets/img/expand_off.gif" alt="Expand" height="18" width="18"
			onClick="<?php echo $logTree->getId(); ?>.expandAll();"
			onMouseOver="showHand(this); newIcon('MenuExpand', '../assets/img/expand_on.gif');"
			onMouseOut="hideHand(this); newIcon('MenuExpand', '../assets/img/expand_off.gif');" />

		<img name="MenuCollapse" src="../assets/img/collapse_off.gif" alt="Collapse" height="18" width="18"
			onClick="<?php echo $logTree->getId(); ?>.collapseAll();"
			onMouseOver="showHand(this); newIcon('MenuCollapse', '../assets/img/collapse_on.gif');"
			onMouseOut="hideHand(this); newIcon('MenuCollapse', '../assets/img/collapse_off.gif');" />

	<!-- closes #Menu.Controls -->
	</div>

	<div class="TreeView">

	<?php

		$logTree->InsertClientScript();
		$logTree->InsertTreeElement();

	?>

	<!-- closes #Menu.TreeView -->
	</div>


<?php if (count($logNodes) == 0): ?>
	<p>There are no logs to view.</p>
<?php endif; ?>

<!-- closes #Menu -->
</div>

<?php CS::PrintCopyright(); ?>

</body>
</html>