<?php

require_once('./CS_Includes.inc.php');

try {
	CS::Check($_GET['date'], CSA_EMPTY|CSA_THROW, 'LogView with no date argument');
	CS::Check($_GET['time'], CSA_EMPTY|CSA_THROW, 'LogView with no time argument');

	// If the debug flag is in the URL, this is a debug file, not a log file
	$isDebugFile = (isset($_GET['debug']) == true);

	// Build the CSLog object.
	$log = new CSLog(null, $_GET['date'], $_GET['time'], $isDebugFile);

	// NCS 2.2.4
	// Do we need to display a Close or Open?
	$showCloseButton = (isset($_GET['show_close']) && $_GET['show_close'] == 1);
}
catch (Exception $e) {
	CS::Abort($e);
}

CS::PrintHtmlHeader();

?>

<body id="Main">

	<a name="Top"></a><h1><?php echo ($isDebugFile) ? 'Debug' : 'Log'; ?> File: <?php echo $log->getTimeStamp(); ?></h1>
	<p class="InfoMsg">Newest messages are at the top of this file.</p>

	<p><pre>
<?php foreach($log->getContents() as $line): ?>
<?php echo $line; ?>
<?php endforeach; ?>
	</pre></p>

	<p><a href="#Top">Top of Page</a></p>

</body>
</html>