<?php

require_once('./CS_Includes.inc.php');

try {
	$tree = new CSTreeView('groupTree');

	// Load our groups, but skip devices!
	$treeArray = CSDevice::GetGroupById(0, FALSE);

	// Load our groups into the tree
	foreach($treeArray['children'] as $group)
		CSDevice::LoadGroupNode($tree, $tree->getRootName(), $group, TRUE);

	// Now add a HREF and TARGET for each, and remove group_id
	foreach($tree->getNodes() as $node)
	{
		$node->href = 'GroupAdmin.php?group_id='.$node->group_id;
		$node->target = 'MainFrame';
		$node->expand = TRUE;
	}
}
catch (Exception $e) {
	CS::Abort($e);
}

CS::PrintHtmlHeader('Groups - Settings', CSTreeView::GetHeaderArray(), FALSE, FALSE);

?>

<body id="Main" onload="<?php echo $tree->getInitName(); ?>();">

	<h1>Device Groups</h1>
	<p>Select an existing group, or <a href="GroupAdmin.php">add another</a>.</p>

	<?php

	$tree->InsertTreeElement();
	$tree->InsertClientScript();

	?>

</body>
</html>
